/*===== GOOGLE FONTS =====*/
/*@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600;700&display=swap");*/

/*===== VARIABLES CSS =====*/
:root{
  /*===== Colores =====*/
  --first-color: #9D4BFF;
  --first-color-dark: #23004D;
  --first-color-light: #A49EAC;
  --first-color-lighten: #F2F2F2;

  /*===== Font and typography =====*/
  --body-font: 'Open Sans', sans-serif;
  --h1-font-size: 1.5rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
}

input:-webkit-autofill {
    background-color: #FAFFBD !important;
    /* 自定义的背景色 */
    -webkit-text-fill-color: #000 !important;
    /* 文字颜色 */
    transition: background-color 5000s ease-in-out 0s !important;
    /* 避免自动填充的背景色变化 */
}

input {
    box-shadow: 0 0 0px 1000px white inset;
}

body {
    background: url(../images/new_bg.png);
    background-repeat: no-repeat;
    /* 背景图片不重复 */
    background-attachment: fixed;
    background-size: 100% auto;
    background-position: center;
}

@media screen and (min-width: 768px){
  :root{
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
  }
}

/*===== BASE =====*/
*,::before,::after{
  box-sizing: border-box;
}

body{
  margin: 0;
  padding: 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--first-color-dark);
  /*background: url(../bms/images/new_bg.png);*/
}

h1{
  margin: 0;
}

a{
  text-decoration: none;
}


/*===== LOGIN =====*/
.login{
  display: grid;
  grid-template-columns: 100%;
  height: 100vh;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
}

.login__content{
  display: grid;
}

.login__forms{
  position: relative;
  width:348px;
  height: 368px;
}

.login__account, .login__wechat{
  position: fixed;
  left: 50%;
  top: 50%;
  width: 358px;
  height: 418px;
  transform: translate(200px,-50%);
  background-color: white;
  padding: 2rem 1rem;
  border-radius: 12px;
  text-align: center;
  box-shadow: 0 8px 20px rgba(35,0,77,.2);
  animation-duration: 0;
  animation-name: animate-login;
}

@keyframes animate-login{
  0%{
    transform: scale(1,1);
  }
  50%{
    transform: scale(1.1,1.1);
  }
  100%{
    transform: scale(1,1);
  }
}

.login__title{
  font-size: var(--h1-font-size);
  margin-bottom: 2rem;
}

.login__box{
  display: grid;
  grid-template-columns: 1fr;
  column-gap: .5rem;
  /* padding: 0 1rem; */
  background-color: #FFF;
  margin-top: 20px;
  border-radius: .5rem;
  position: relative;
}

.login__icon{
  font-size: 1.5rem;
  color: var(--first-color);
}

.login__input{
    /* border: none; */
    outline: none;
    font-weight: 500;
    height: 44px;
    border-radius: 6px 6px 6px 6px;
    border: 1px solid #D9DEE5;
    width: 100%;
    color: var(--first-color-dark);
    text-indent: 12px;
    font-size: 14px;
}
.login__sms{
    position: absolute;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
    color: #1678FF;
    font-size: 14px;
}

.login__input::placeholder{
  font-size: var(--normal-font-size);
  font-family: var(--body-font);
  color: var(--first-color-light);
}

.login__forgot{
  display: block;
  width: max-content;
  margin-left: auto;
  margin-top: .5rem;
  font-size: var(--small-font-size);
  font-weight: 600;
  color: var(--first-color-light);
}

.login__button{
  display: block;
  padding: 1rem;
    margin-top: 40px;
  /*background-color: var(--first-color);*/
  background-color: #1678FF;
  color: #FFF;
  font-weight: 600;
  text-align: center;
  border-radius: .5rem;
  transition: .3s;
}

.login__button:hover{
  background-color: #1678FF;
}

.login__account, .login__signin, .login__signup{
  font-weight: 600;
  font-size: var(--small-font-size);
}

.login__account{
  color: var(--first-color-dark);
  padding: 50px 20px;
}

.login__signin, .login__signup{
    color: #60667F;
    cursor: pointer;
    /* margin-left: 250px;
    margin-top: -30px; */
    display: block;
    position: absolute;
    right: 15px;
    top: 5px;
}

.login__signin:hover,
.login__signup:hover{
    color: #1678FF;
}

.login__social{
  margin-top: 2rem;
}

.login__social-icon{
  font-size: 1.5rem;
  color: var(--first-color-dark);
  margin: 0 1.5rem;
}

/*Show login*/
.block{
  display: block;
}

/*Hidden login*/
.none{
  display: none;
}

/* ===== MEDIA QUERIES =====*/
@media screen and (min-width: 576px){
  .login__forms{
    width: 348px;
    justify-self: center;
  }
}
@media screen and (min-width: 576px) and (max-width: 992px) and (max-width: 576px) and  (min-width: 992px) and (max-width: 1024px) {
  .login__forms{
        bottom: -8rem;
        width: 348px;
        justify-self: center;
  }
}
@media screen and  (max-width: 576px) {
    body{
        background-size: auto 100%;
        background-position: 100% 100%;
    }
    .login__forms{
        width: 348px;
        justify-self: center;
        z-index: 999;
    }
    .login__account,
    .login__wechat{
        transform: translate(-50%,-70%);
    }
}
@media screen and (min-width: 576px) and (max-width: 992px) {
  .login__forms{
    bottom: -8rem;
    width: 348px;
    justify-self: center;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  .login__forms{
    bottom: -8rem;
    width: 348px;
    justify-self: center;
  }
}
@media screen and (min-width: 1200px) and (max-width: 1440px) {
  .login__forms{
    bottom: -8rem;
    width: 348px;
    justify-self: center;
  }
}
@media screen and (min-width: 1024px){
  .login{
    height: 100vh;
    /*overflow: hidden;*/
  }

  .login__content{
    grid-template-columns: repeat(2, max-content);
    justify-content: center;
    align-items: center;
    margin-left: 10rem;
  }

}
